$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.rate', autoAddRows);
    $("body").on("keyup change blur click", '.oms,.amount, .subtotal, .litemdisc, .cdicsperc, .cdiscamt, .lessoth, .vatperc, .vatamt, .packing, .netamt', mainbCal);
    $("body").on("focus", '.amount', autoAddRows);
    
        
     $("body").on("click change blur", ".oms, .gstperc", gethsn);
    $("body").on("click change blur", ".oms, .gstperc", getGSTPerc);
    
    
     $(document).keydown(function (event) {
        if (!(String.fromCharCode(event.which).toLowerCase() == 'd' && event.altKey) && !(event.which == 19))
            return true;
        $(".cdicsperc ").focus();
        event.preventDefault();
        return false;
    });
    
    $('#addnew').click(function () {
        AddRows();
    });
    
     function getGSTPerc() {
        var gstperc = $(".gstperc").val();
//                getdcPerc = 0;

        $.post('getGSTPerc.php', {gstperc: gstperc}, function (data) {

            var mgstperc = data.gstperc,
                    mgst = mgstperc / 2;

            if ($(".oms").prop('checked')) {
                $('.igstperc').val(mgstperc);
                $('.cgstperc').val(0);
                $('.sgstperc').val(0);

            } else {
                $('.cgstperc').val(mgst);
                $('.sgstperc').val(mgst);
                $('.igstperc').val(0);
            }

        }, 'json');
        mainbCal();
    }

    function gethsn() {
//        var tr = $(this).closest("tr");
        var gstperc = $('.gstperc').val(),
                mgst = gstperc / 2;
//        $.post('gethsncode.php', {item: item}, function (data) {
//            tr.find('.hsncode').val(data.hsn);

//        if ($(".oms").prop('checked')) {
//            $('.igstperc').val(gstperc);
//            $('.cgstperc').val(0);
//            $('.sgstperc').val(0);
//
//        } else {
//            $('.cgstperc').val(mgst);
//            $('.sgstperc').val(mgst);
//            $('.igstperc').val(0);
//        }
        mainbCal();
        getGSTPerc();
//        }, 'json');
    }

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val(); 
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('credoth_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function mainbCal() {
        
        
         var val = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                val += parseFloat(this.value);
            }
        });
        
        $(".subtotal").val(val);
        
        var subtot = $(".subtotal").val();
//        var litemdisc = $(".litemdisc").val();
        var lessoth = $(".lessoth").val();

        var discperc = $(".cdicsperc").val(),
                cdiscamt = (discperc * subtot) / 100;

        if (isNaN(cdiscamt)) {
            $('.cdiscamt').val("0");
        } else {
            $('.cdiscamt').val(cdiscamt);
        }


        var subtot1 = subtot - cdiscamt - lessoth;
        
//        var vatperc = $(".vatperc").val(),
//                vatamt = (vatperc * subtot1) / 100;
//
//        if (isNaN(vatamt)) {
//            $('.vatamt').val("0");
//        } else {
//            $('.vatamt').val(vatamt);
//        }


        
        var taxable = parseFloat(subtot1);

        var cgstperc = parseFloat($(".cgstperc").val());
        var sgstperc = parseFloat($(".sgstperc").val());
        var igstperc = parseFloat($(".igstperc").val());



        var cgstamt = taxable * cgstperc / 100;
        var sgstamt = taxable * sgstperc / 100;
        var igstamt = taxable * igstperc / 100;


        $(".taxamt").val(taxable.toFixed(2));
        $(".igstamt").val(igstamt.toFixed(2));
        $(".cgstamt").val(cgstamt.toFixed(2));
        $(".sgstamt").val(sgstamt.toFixed(2));
//        var pack = $(".packing").val();

        var net = Math.round(parseFloat(taxable) + parseFloat(cgstamt) + parseFloat(sgstamt) + parseFloat(igstamt));

        if (isNaN(net)) {
            $('.netamt').val("0");
        } else {
            $('.netamt').val(net.toFixed(2));
        }
    }


});